
import UIKit

class DrawingView: UIView {
    override func draw(_ rect: CGRect) {
        if let context = UIGraphicsGetCurrentContext() {
            context.beginPath()
            context.addRect(CGRect(x: 10, y: 10, width: 100, height: 100))
            context.clip()
            
            let space = CGColorSpaceCreateDeviceRGB()
            let color1 = UIColor.white
            let color2 = UIColor.black
            let colors = [color1.cgColor, color2.cgColor] as CFArray
            let locations: [CGFloat] = [0.0, 0.9]
            let gradient = CGGradient(colorsSpace: space, colors: colors, locations: locations)
            
            let startPoint = CGPoint(x: 10, y: 10)
            let endPoint = CGPoint(x: 110, y: 110)
            context.drawLinearGradient(gradient!, start: startPoint, end: endPoint, options: .drawsBeforeStartLocation)
        }
    }
}

