
import UIKit

class ViewController: UIViewController {
    @IBOutlet weak var animationView: UIView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        let layer = animationView.layer
        layer.borderColor = UIColor.black.cgColor
        layer.borderWidth = 5
        layer.cornerRadius = 10
        
        let gesture = UITapGestureRecognizer(target: self, action: #selector(animateView(sender:)))
        view.addGestureRecognizer(gesture)
    }
    @objc func animateView(sender: UITapGestureRecognizer) {
        let layer = animationView.layer
        var matrix = CATransform3DIdentity
        matrix = CATransform3DTranslate(matrix, 0.0, 200.0, 0.0)
        
        let animator = UIViewPropertyAnimator(duration: 2.0, curve: .linear, animations: {
            layer.transform = matrix
        })
        animator.startAnimation()
    }
}
